key: elasticapm
title: Elasticsearch APM RUM
description: Real User Monitoring captures user interaction with clients such as web browsers.
author: requarks.io
logo: https://static.requarks.io/logo/elasticsearch-apm.svg
website: https://www.elastic.co/solutions/apm
isAvailable: true
props:
  serverUrl:
    type: String
    title: APM Server URL
    hint: The full URL to your APM server, including the port
    default: http://apm.example.com:8200
    order: 1
  serviceName:
    type: String
    title: Service Name
    hint: The name of the client reported to APM
    default: wiki-js
    order: 2
  environment:
    type: String
    title: Environment
    hint: e.g. production/development/test
    default: ''
    order: 3
